.banner-pictures {
  position: relative;
  background-color: $gray-300;
  height: 400px;
  overflow: hidden;

  border-radius: $border-radius-lg;

  .btn-fullscreen {
    position: absolute;
    top: $spacer;
    right: $spacer;
    z-index: 999;
  }

  .btn-toggle-360 {
    position: absolute;
    right: $spacer;
    bottom: $spacer;
    z-index: 999;
  }

  .swiper-container, .bg-picture, .picture-360 {
    height: 100%;
  }

  &.is-fullscreen {
    height: 100% !important;
  }

  &.is-fullscreen .bg-picture {
    background-size: contain;
  }

  .bg-picture, .picture-360 {
    background-repeat: no-repeat;
    background-position: center center;
  }

  .bg-picture {
    background-size: cover;
  }

  .picture-360 {
    background-size: 230%;
  }

  .swiper-slide {
    text-align: center;

    img {
      height: 100%;
      max-width: 100%;
    }
  }
}